import { MessageProviderOptions } from "./dsl/options";
/**
 * A Message Provider is analagous to Consumer in the HTTP Interaction model.
 *
 * It is the initiator of an interaction, and expects something on the other end
 * of the interaction to respond - just in this case, not immediately.
 */
export declare class MessageProvider {
    private config;
    private state;
    constructor(config: MessageProviderOptions);
    /**
     * Verify a Message Provider.
     */
    verify(): Promise<any>;
    private waitForServerReady(server);
    private runProviderVerification();
    private setupVerificationHandler();
    private setupProxyServer(app);
    private setupProxyApplication();
    private setupStates(message);
    private findHandler(message);
}
